XF Test Bench 3.3

Public Member Functions | Static Public Member Functions | Static Protected Attributes | List of all members
TestFactory04 Class Reference
Forth Test Project

`#include <testfactory04.h>`

Collaboration diagram for TestFactory04:

## Public Member Functions
| TestFactory04 ()
| Constructor.

## Static Public Member Functions
static void | initialize ()
| Initializes the factory.
static void | build ()
| Creates components and initializes relations.

## Static Protected Attributes
static StateMachine04a | task01_
| Instance of StateMachine04a.
static StateMachine04b | task02_
| Instance of StateMachine04b.

## Detailed Description

Factory creating all objects used in test4.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test4/src/app/testfactory04.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test4/src/app/testfactory04.cpp